/* syrupnx.space v6 */
/* Full blog stylesheet */

header, footer {
  all: initial;
}

/* STYLING */
/*** LIGHT ***/
html {
  background-color: AntiqueWhite;
  color: black;
  font-family: "Perpetua", "Garamond", serif;
  text-align: left;
}

header, footer {
  color: black;
}

footer {
  font-size: 0.75em;
}

h1, h2, h3, h4, h5, h6 {
  font-family: inherit;
  margin: auto;
  margin-top: auto;
}

a {
  font-family: inherit;
  color: var(--nx-blue);
}

a:hover {
  color: #458FD8;
}

a:active {
  color: #293AD8;
}

p a {
  font-family: inherit;
}

/*** DARK ***/
@media (prefers-color-scheme: dark) {
  html {
    background-color: #333333;
    color: white;
  }
  
  header, footer {
    color: white;
  }
  
  a { color: var(--nx-pastel-pink); }
  a:hover { color: #FFD9F6; }
  a:active { color: #FF80E1; }
}

/* ORGANIZATION */

html {
  min-width: 600px;
  max-width: 800px;
  margin: auto;
}

header, footer {
  display: block;
  margin-top: 2em;
  margin-bottom: 2em;
}